{
  "codeName" : "Usr08227333EditView_Form",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student/PSFORMS/Usr08227333EditView_Form.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "logicName" : "测试表单分组折叠_表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "studentid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "分组1",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "codeName" : "rawitem1",
        "contentType" : "RAW",
        "detailStyle" : "DEFAULT",
        "detailType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSRawItem" : {
          "caption" : "分组1",
          "contentType" : "RAW",
          "name" : "rawitem1",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0
        },
        "rawContent" : "分组1",
        "rawItemHeight" : -1.0,
        "rawItemWidth" : -1.0,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0822434654",
        "name" : "测试折叠行为组",
        "getPSUIActionGroupDetails" : [ {
          "caption" : "收缩",
          "detailType" : "DEUIACTION",
          "name" : "u3fa3a61",
          "getPSUIAction" : {
            "caption" : "收缩",
            "codeName" : "Collapse",
            "fullCodeName" : "Collapse",
            "name" : "收缩",
            "predefinedType" : "UTIL_COLLAPSE",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Collapse",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "全部收缩",
          "detailType" : "DEUIACTION",
          "name" : "ucd03b62",
          "getPSUIAction" : {
            "caption" : "全部收缩",
            "codeName" : "CollapseAll",
            "fullCodeName" : "CollapseAll",
            "name" : "全部收缩",
            "predefinedType" : "UTIL_COLLAPSEALL",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "CollapseAll",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "展开",
          "detailType" : "DEUIACTION",
          "name" : "u64f00a7",
          "getPSUIAction" : {
            "caption" : "展开",
            "codeName" : "Expand",
            "fullCodeName" : "Expand",
            "name" : "展开",
            "predefinedType" : "UTIL_EXPAND",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Expand",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "全部展开",
          "detailType" : "DEUIACTION",
          "name" : "u2e9f042",
          "getPSUIAction" : {
            "caption" : "全部展开",
            "codeName" : "ExpandAll",
            "fullCodeName" : "ExpandAll",
            "name" : "全部展开",
            "predefinedType" : "UTIL_EXPANDALL",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "ExpandAll",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "分组2",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "codeName" : "rawitem2",
        "contentType" : "RAW",
        "detailStyle" : "DEFAULT",
        "detailType" : "RAWITEM",
        "name" : "rawitem2",
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSRawItem" : {
          "caption" : "分组2",
          "contentType" : "RAW",
          "name" : "rawitem2",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0
        },
        "rawContent" : "分组2",
        "rawItemHeight" : -1.0,
        "rawItemWidth" : -1.0,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "分组3",
        "codeName" : "grouppanel2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel2",
        "getPSDEFormDetails" : [ {
          "codeName" : "rawitem3",
          "contentType" : "RAW",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem3",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "分组3",
            "contentType" : "RAW",
            "name" : "rawitem3",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "分组3",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0822434654",
          "name" : "测试折叠行为组",
          "getPSUIActionGroupDetails" : [ {
            "caption" : "收缩",
            "detailType" : "DEUIACTION",
            "name" : "u3fa3a61",
            "getPSUIAction" : {
              "caption" : "收缩",
              "codeName" : "Collapse",
              "fullCodeName" : "Collapse",
              "name" : "收缩",
              "predefinedType" : "UTIL_COLLAPSE",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Collapse",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "全部收缩",
            "detailType" : "DEUIACTION",
            "name" : "ucd03b62",
            "getPSUIAction" : {
              "caption" : "全部收缩",
              "codeName" : "CollapseAll",
              "fullCodeName" : "CollapseAll",
              "name" : "全部收缩",
              "predefinedType" : "UTIL_COLLAPSEALL",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "CollapseAll",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "展开",
            "detailType" : "DEUIACTION",
            "name" : "u64f00a7",
            "getPSUIAction" : {
              "caption" : "展开",
              "codeName" : "Expand",
              "fullCodeName" : "Expand",
              "name" : "展开",
              "predefinedType" : "UTIL_EXPAND",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Expand",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "全部展开",
            "detailType" : "DEUIACTION",
            "name" : "u2e9f042",
            "getPSUIAction" : {
              "caption" : "全部展开",
              "codeName" : "ExpandAll",
              "fullCodeName" : "ExpandAll",
              "name" : "全部展开",
              "predefinedType" : "UTIL_EXPANDALL",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "ExpandAll",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "titleBarCloseMode" : 1,
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Usr0822434654",
        "name" : "测试折叠行为组",
        "getPSUIActionGroupDetails" : [ {
          "caption" : "收缩",
          "detailType" : "DEUIACTION",
          "name" : "u3fa3a61",
          "getPSUIAction" : {
            "caption" : "收缩",
            "codeName" : "Collapse",
            "fullCodeName" : "Collapse",
            "name" : "收缩",
            "predefinedType" : "UTIL_COLLAPSE",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Collapse",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "全部收缩",
          "detailType" : "DEUIACTION",
          "name" : "ucd03b62",
          "getPSUIAction" : {
            "caption" : "全部收缩",
            "codeName" : "CollapseAll",
            "fullCodeName" : "CollapseAll",
            "name" : "全部收缩",
            "predefinedType" : "UTIL_COLLAPSEALL",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "CollapseAll",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "展开",
          "detailType" : "DEUIACTION",
          "name" : "u64f00a7",
          "getPSUIAction" : {
            "caption" : "展开",
            "codeName" : "Expand",
            "fullCodeName" : "Expand",
            "name" : "展开",
            "predefinedType" : "UTIL_EXPAND",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Expand",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "全部展开",
          "detailType" : "DEUIACTION",
          "name" : "u2e9f042",
          "getPSUIAction" : {
            "caption" : "全部展开",
            "codeName" : "ExpandAll",
            "fullCodeName" : "ExpandAll",
            "name" : "全部展开",
            "predefinedType" : "UTIL_EXPANDALL",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "ExpandAll",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "titleBarCloseMode" : 2,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "学生标识",
      "codeName" : "studentid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "studentid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "studentid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "noTabHeader" : true,
  "modelid" : "5A69D1B9-0194-4CA5-AE15-600EBEC5F1E3",
  "modeltype" : "PSDEFORM_EDITFORM"
}